<?php ! defined( 'ABSPATH' ) && exit(); ?><div class="totalpoll-settings-item" ng-if="$ctrl.options.emailcapture.enabled">
    <div class="totalpoll-settings-item">
        <div class="totalpoll-settings-field">
            <label>
                <input type="checkbox" name="" ng-model="$ctrl.options.emailcapture.services.mailchimp.enabled">
				<?php esc_html_e( 'MailChimp', 'totalpoll' ) ?>
            </label>
        </div>
    </div>
    <div class="totalpoll-settings-item-advanced"
         ng-class="{active: $ctrl.options.emailcapture.services.mailchimp.enabled}">

        <div class="totalpoll-settings-item">
            <label class="totalpoll-settings-field-label"><?php esc_html_e( 'API Key', 'totalpoll' ) ?> <a href="https://mailchimp.com/help/about-api-keys/" target="_blank" rel="noopener">Get one</a></label>
            <input type="text" name="" class="totalpoll-settings-field-input widefat"
                   ng-model="$ctrl.options.emailcapture.services.mailchimp.key"/>
        </div>
        <div class="totalpoll-settings-item">
            <label class="totalpoll-settings-field-label"><?php esc_html_e( 'Prefix', 'totalpoll' ) ?> <a href="https://mailchimp.com/developer/guides/marketing-api-quick-start/#make-your-first-api-call" target="_blank" rel="noopener">Details</a></label>
            <input type="text" name="" class="totalpoll-settings-field-input widefat"
                   ng-model="$ctrl.options.emailcapture.services.mailchimp.prefix"/>
        </div>
        <div class="totalpoll-settings-item">
            <label class="totalpoll-settings-field-label"><?php esc_html_e( 'Audience ID', 'totalpoll' ) ?> <a href="https://mailchimp.com/help/find-audience-id/" target="_blank" rel="noopener">How to get it</a></label>
            <input type="text" name="" class="totalpoll-settings-field-input widefat"
                   ng-model="$ctrl.options.emailcapture.services.mailchimp.audience"/>
        </div>
        <div class="totalpoll-settings-item">
            <label class="totalpoll-settings-field-label"><?php esc_html_e( 'Subscriber Status Policy   ', 'totalpoll' ) ?></label>

            <label class="totalpoll-settings-field-label">
                <input type="radio" value="pending" ng-model="$ctrl.options.emailcapture.services.mailchimp.status">
				<?php esc_html_e( 'Double Opt-in', 'totalpoll' ) ?>
            </label>
            <p class="totalpoll-feature-tip"><?php esc_html_e( 'The user will receive a confirmation email before being added to the list.', 'totalpoll' ); ?></p>

            <label class="totalpoll-settings-field-label">
                <input type="radio" value="subscribed" ng-model="$ctrl.options.emailcapture.services.mailchimp.status">
				<?php esc_html_e( 'Single Opt-in', 'totalpoll' ); ?>
            </label>
            <p class="totalpoll-feature-tip"><?php esc_html_e( 'The user will be added to the list without a confirmation email.', 'totalpoll' ); ?></p>

        </div>
    </div>
</div>
