<?php

namespace TotalPoll\Modules\Extensions\ExcludeFromSearch;
! defined( 'ABSPATH' ) && exit();


/**
 * Class Extension
 * @package TotalPoll\Modules\Extensions\ExcludeFromSearch
 */
class Extension extends \TotalPoll\Modules\Extension {
	protected $root = __FILE__;

	/**
	 * Run the extension.
	 *
	 * @return mixed
	 */
	public function run() {
		add_filter( 'totalpoll/filters/cpt/args', [ $this, 'disableSearch' ] );
	}

	public function disableSearch( $args ) {
		$args['exclude_from_search'] = true;

		return $args;
	}
}
