<?php ! defined( 'ABSPATH' ) && exit(); ?><div class="totalpoll-reveal-box" id="totalpoll-reveal-<?php echo $poll->getId(); ?>">
    <div class="totalpoll-reveal-box-content">
		<?php if ( ! empty( $error ) ): ?>
            <div class="totalpoll-message totalpoll-message-error"><?php echo $error; ?></div>
		<?php endif; ?>
		<?php echo $message; ?>
		<?php echo $field; ?>
		<?php echo $button; ?>
    </div>
</div>
<style type="text/css">
    /*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v7.0.29,
* Autoprefixer: v9.7.6
* Browsers: last 50 version
*/

    .totalpoll-reveal-box {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%;
        padding: 20px !important;
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
        flex-direction: column;
        -webkit-box-align: center;
        -webkit-align-items: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: center;
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        justify-content: center;
        z-index: 9;
        background: rgba(255, 255, 255, 0.75) !important;
        -webkit-backdrop-filter: blur(6px);
        backdrop-filter: blur(6px);
    }

    .totalpoll-reveal-box-content {
        max-width: 400px;
        margin: auto;
        padding: 20px !important;
        background: white !important;
        -webkit-box-shadow: 0 3px 9px rgba(0, 0, 0, 0.1) !important;
        box-shadow: 0 3px 9px rgba(0, 0, 0, 0.1) !important;
    }

    .totalpoll-reveal-box-content .totalpoll-form-field {
        padding: 15px 0 !important;
    }

    #totalpoll {
        position: relative;
    }
</style>
<script>
    var revealBox = document.querySelector('#totalpoll-reveal-<?php echo $poll->getId(); ?>');
    revealBox.previousElementSibling.append(revealBox);
</script>
