<?php ! defined( 'ABSPATH' ) && exit(); ?><script type="text/template" totalpoll-sma-user-template>
    <div class="totalpoll-sma-connected">
        <div class="totalpoll-sma-user">
            <span class="totalpoll-sma-user-name"><?php esc_html_e( 'Connected as {{user.name}}', 'totalpoll' ); ?></span>
            <img src="{{user.avatar}}" class="totalpoll-sma-user-avatar">
            <input type="hidden" name="totalpoll[sma][provider]" value="{{user.provider}}">
            <input type="hidden" name="totalpoll[sma][token]" value="{{user.token}}">
        </div>
        <a href="#" class="totalpoll-sma-logout" totalpoll-sma-logout>
		    <?php esc_html_e('Log out', 'totalpoll'); ?>
        </a>
    </div>
</script>
<div class="totalpoll-sma" totalpoll-sma-container <?php if($onVote): ?>totalpoll-sma-on-vote<?php endif; ?>>
    <p><?php esc_html_e( 'To continue, please connect using', 'totalpoll' ); ?></p>
    <div class="totalpoll-sma-providers">
		<?php foreach ( $providers as $providerName => $provider ): ?>
            <a href="#" class="totalpoll-sma-provider totalpoll-sma-provider-<?php echo $providerName ?>" totalpoll-sma-login="<?php echo $providerName ?>">
				<?php echo $provider['icon']; ?>
                <span><?php echo $provider['name']; ?></span>
            </a>
		<?php endforeach; ?>
    </div>
</div>
