<?php

namespace TotalPoll\Modules\Extensions\Stats;
! defined( 'ABSPATH' ) && exit();


/**
 * Class Extension
 * @package TotalPoll\Modules\Extensions\Stats
 */
class Extension extends \TotalPoll\Modules\Extension {
	protected $root = __FILE__;

	/**
	 * Run the extension.
	 *
	 * @return mixed
	 */
	public function run() {
		add_action( 'init', [ $this, 'registerShortcode' ] );
	}

	public function registerShortcode() {
		add_shortcode( 'totalpoll-stats', function ( $attributes, $content = null ) {
			return new Shortcode( $attributes, $content );
		} );
	}
}