<?php ! defined( 'ABSPATH' ) && exit(); ?><div class="totalpoll-question" <?php echo $template->questionAttributes( $question ); ?>>
    <div class="totalpoll-question-container">
        <div class="totalpoll-question-content" <?php echo $template->questionContentAttributes( $question ); ?>>
			<?php echo $template->questionContent( $question ); ?>
        </div>

        <canvas id="chart-<?php echo $question['uid']; ?>"
                class="totalpoll-question-chart"
                width="<?php echo esc_attr( $template->getChartWidth() ); ?>"
                height="<?php echo esc_attr( $template->getChartHeight() ); ?>"
                totalpoll-chart
                totalpoll-chart-type="<?php echo esc_attr( $question['chartType'] ?? $template->getChartType() ); ?>"
                totalpoll-chart-data="<?php echo esc_attr( json_encode( $template->getChartData( $question ) ) ); ?>"
                totalpoll-chart-animation-duration="<?php echo esc_attr( $template->getChartAnimationDuration() ); ?>"
                totalpoll-chart-animation-easing="<?php echo esc_attr( $template->getAnimationChartEasing() ); ?>">
        </canvas>

		<?php if ( $template->isLegendVisible() ): ?>
            <div class="totalpoll-question-choices">
				<?php foreach ( $question['choices'] as $choice ): ?>
					<?php if ( $choice['visibility'] ): ?>
						<?php include $template->getPath( 'views/results/choice.php' ); ?>
					<?php endif; ?>
				<?php endforeach; ?>
            </div>
		<?php endif; ?>
    </div>
</div>
