<?php
! defined( 'ABSPATH' ) && exit();
 if ( $choice['type'] == 'text' || $choice['type'] == 'image' ): ?>
    <div class="totalpoll-question-choices-item totalpoll-question-choices-item-results totalpoll-question-choices-item-type-<?php echo $choice['type']; ?>" <?php echo $template->choiceAttributes( $choice, $question ); ?>>
        <div class="totalpoll-question-choices-item-container">
			<?php if ( $choice['type'] == 'image' ): ?>
                <div class="totalpoll-question-choices-item-content-container">
                    <div class="totalpoll-question-choices-item-content">
                        <a href="<?php echo esc_attr( $choice['image']['full'] ?: $choice['image']['thumbnail'] ); ?>" class="totalpoll-modal-open"
                           totalpoll-modal="#embed-<?php echo esc_attr( $choice['uid'] ); ?>">
                            <img src="<?php echo esc_attr( $choice['image']['thumbnail'] ?: $choice['image']['full'] ); ?>">
                        </a>
                        <div class="totalpoll-embed-container totalpoll-embed-type-image" id="embed-<?php echo esc_attr( $choice['uid'] ); ?>">
                            <img src="<?php echo esc_attr( $choice['image']['full'] ?: $choice['image']['thumbnail'] ); ?>">
                        </div>
                    </div>
                </div>
			<?php endif; ?>

            <div class="totalpoll-question-choices-item-votes">
                <div class="totalpoll-question-choices-item-votes-bar" style="width: <?php echo $poll->getChoiceVotesPercentageWithLabel( $choice['uid'] ); ?>"></div>
            </div>

            <div class="totalpoll-question-choices-item-label">
                <div class="totalpoll-question-choices-item-votes-text <?php echo $choice['votes'] == 0 ? 'is-zero' : '' ?>"><?php echo $poll->getChoiceVotesFormatted( $choice['uid'] ); ?></div>
                <span <?php echo $template->choiceLabelAttributes( $choice ); ?>><?php echo $template->choiceLabel( $choice ); ?></span>
            </div>
        </div>
    </div>
<?php
! defined( 'ABSPATH' ) && exit();
 endif; ?>
