<?php

namespace TotalPoll\Modules\Extensions\AnonymizeIP;
! defined( 'ABSPATH' ) && exit();


/**
 * Class Extension
 * @package TotalPoll\Modules\Extensions\AnonymizeIP
 */
class Extension extends \TotalPoll\Modules\Extension {
	protected $root = __FILE__;

	/**
	 * Run the extension.
	 *
	 * @return void
	 */
	public function run() {
		\TotalPoll()->container()->share(
			'http.request',
			static function () {
				return new AnonymousHttpRequest();
			}
		);
	}
}
