<?php ! defined( 'ABSPATH' ) && exit(); ?><div class="totalpoll-settings-item">
    <div class="totalpoll-settings-field">
        <label> <input type="checkbox" name="" ng-model="$ctrl.options.emailcapture.enabled">
			<?php esc_html_e( 'Enable email capturing', 'totalpoll' ); ?>
        </label>
    </div>
</div>
<div class="totalpoll-settings-item" ng-if="$ctrl.options.emailing.enabled">
    <div class="totalpoll-settings-field">
        <label class="totalpoll-settings-field-label" style="margin-top: 8px">
            <input type="checkbox" name="" ng-model="$ctrl.options.emailcapture.field.required">
			<?php esc_html_e( 'Set email field as required', 'totalpoll' ); ?>
        </label>
        <p class="totalpoll-feature-tip">This option will set the email field as required.</p>
    </div>
</div>
<div class="totalpoll-settings-item" ng-if="$ctrl.options.emailcapture.enabled">
    <div class="totalpoll-settings-field">
        <label class="totalpoll-settings-field-label" style="margin-top: 8px">
            <input type="checkbox" name="" ng-model="$ctrl.options.emailcapture.consent.enabled">
			<?php esc_html_e( 'Add user consent checkbox', 'totalpoll' ); ?>
        </label>
    </div>
    <div class="totalpoll-settings-item-advanced" ng-class="{active: $ctrl.options.emailcapture.consent.enabled}">
        <div class="totalpoll-settings-field">
            <label class="totalpoll-settings-field-label"><?php esc_html_e( 'Consent Label' ) ?></label>
            <input type="text" name="" class="totalpoll-settings-field-input widefat"
                   ng-model="$ctrl.options.emailcapture.consent.message"/>
        </div>
    </div>

</div>
<div class="totalpoll-settings-item" ng-if="$ctrl.options.emailcapture.enabled">
    <h4><?php esc_html_e( 'Available Services' ) ?></h4>
	<?php do_action( 'totalpoll/emailcapture/services/action/settings', $this ); ?>
</div>
