<?php ! defined( 'ABSPATH' ) && exit(); ?><div class="totalpoll-settings-item">
    <div class="totalpoll-settings-field">
        <label> <input type="checkbox" name="" ng-model="$ctrl.options.vote_confirmation.enabled">
			<?php esc_html_e( 'Enable vote confirmation', 'totalpoll' ); ?>
        </label>
    </div>
    <div class="totalpoll-settings-item-advanced" ng-class="{active: $ctrl.options.vote_confirmation.enabled}">
        <div class="totalpoll-settings-field">
            <label class="totalpoll-settings-field-label"><?php esc_html_e( 'Email subject' ) ?></label>
            <input type="text"
                   name=""
                   class="totalpoll-settings-field-input widefat"
                   placeholder="<?php echo esc_html($this->getDefaultMessage('subject')) ?>"
                   ng-model="$ctrl.options.vote_confirmation.subject"/>
        </div>
        <div class="totalpoll-settings-field">
            <label class="totalpoll-settings-field-label"><?php esc_html_e( 'Email Body' ) ?></label>
            <textarea type="text"
                      name=""
                      row="5"
                      class="totalpoll-settings-field-input widefat"
                      placeholder="<?php echo esc_html($this->getDefaultMessage('body')) ?>"
                      ng-model="$ctrl.options.vote_confirmation.body"></textarea>
        </div>
        <p class="totalpoll-feature-tip" ng-non-bindable><?php esc_html_e( 'Poll title: {{title}}', 'totalpoll' ); ?></p>
        <p class="totalpoll-feature-tip" ng-non-bindable><?php esc_html_e( 'User name (if available): {{user}}', 'totalpoll' ); ?></p>
        <p class="totalpoll-feature-tip" ng-non-bindable><?php esc_html_e( 'User choices: {{choices}}', 'totalpoll' ); ?></p>
        <br>
        <div class="totalpoll-settings-field">
            <label class="totalpoll-settings-field-label"><?php esc_html_e( 'After vote message' ) ?></label>
            <input type="text"
                   name=""
                   placeholder="<?php echo esc_html($this->getDefaultMessage('message')) ?>"
                   class="totalpoll-settings-field-input widefat"
                   ng-model="$ctrl.options.vote_confirmation.message"/>
        </div>
        <div class="totalpoll-settings-field">
            <label class="totalpoll-settings-field-label"><?php esc_html_e( 'After confirmation message' ) ?></label>
            <input type="text"
                   name=""
                   placeholder="<?php echo esc_html($this->getDefaultMessage('confirmation')) ?>"
                   class="totalpoll-settings-field-input widefat"
                   ng-model="$ctrl.options.vote_confirmation.confirmation"/>
        </div>
    </div>
</div>
