<?php ! defined( 'ABSPATH' ) && exit(); ?><style type="text/css">
    #vote-weight-by-role {
        border: 0;
        box-shadow: none;
    }

    #vote-weight-by-role th, #vote-weight-by-role td {
        padding: 10px 0;
    }

    #vote-weight-by-role th {
        border: 0;
        font-weight: bold;
    }

    #vote-weight-by-role th:first-child {
        width: 150px;
    }

    #vote-weight-by-role input {
        width: 60px;
    }

    #vote-weight-by-role td {
        vertical-align: middle;
        border-bottom: 1px solid #EEEEEE;
    }
</style>
<div class="totalpoll-settings-item" ng-init="$ctrl.options.voteWeight = $ctrl.options.voteWeight || {roles: {}}">
    <table id="vote-weight-by-role" class="wp-list-table widefat">
        <thead>
        <tr>
            <th><?php esc_html_e( 'Role', 'totalpoll' ); ?></th>
            <th><?php esc_html_e( 'Votes', 'totalpoll' ); ?></th>
        </tr>
        </thead>
        <tbody>
		<?php foreach ( get_editable_roles() as $role => $details ): ?>
            <tr>
                <td><?php echo translate_user_role( $details['name'] ); ?></td>
                <td>
                    <input type="number" min="0" step="1"
                           class="totalpoll-settings-field-input"
                           placeholder="1"
                           ng-model="$ctrl.options.voteWeight.roles['<?php echo esc_attr( $role ); ?>']">
                </td>
            </tr>
		<?php endforeach; ?>
        <tr>
            <td><?php esc_html_e('Guest', 'totalpoll'); ?></td>
            <td>
                <input type="number" min="0" step="1"
                       class="totalpoll-settings-field-input"
                       placeholder="1"
                       ng-model="$ctrl.options.voteWeight.roles['guest']">
            </td>
        </tr>
        </tbody>
    </table>
</div>
