<?php
! defined( 'ABSPATH' ) && exit();
 if ( $choice['type'] == 'text' || $choice['type'] == 'image' ): ?>
    <label for="choice-<?php echo esc_attr( $choice['uid'] ); ?>-selector" tabindex="0"
           class="totalpoll-question-choices-item totalpoll-question-choices-item-type-<?php echo $choice['type']; ?> <?php echo $form->isChoiceChecked( $choice, $question ) ? 'totalpoll-question-choices-item-checked' : ''; ?>" <?php echo $template->choiceAttributes( $choice ); ?>>
        <div class="totalpoll-question-choices-item-container">
			<?php if ( $choice['type'] == 'image' ): ?>
                <div class="totalpoll-question-choices-item-content-container">
                    <div class="totalpoll-question-choices-item-content">
                        <a href="<?php echo esc_attr( $choice['image']['full'] ?: $choice['image']['thumbnail'] ); ?>" class="totalpoll-modal-open"
                           totalpoll-modal="#embed-<?php echo esc_attr( $choice['uid'] ); ?>">
                            <img src="<?php echo esc_attr( $choice['image']['thumbnail'] ?: $choice['image']['full'] ); ?>">
                        </a>
                        <div class="totalpoll-embed-container totalpoll-embed-type-image" id="embed-<?php echo esc_attr( $choice['uid'] ); ?>">
                            <img src="<?php echo esc_attr( $choice['image']['full'] ?: $choice['image']['thumbnail'] ); ?>">
                        </div>
                    </div>
                </div>
			<?php endif; ?>

            <div class="totalpoll-question-choices-item-control">
                <div class="totalpoll-question-choices-item-selector totalpoll-question-choices-item-selector-<?php echo $form->isQuestionSupportMultipleSelection( $question ) ? 'multiple' : 'single'; ?>">
					<?php echo $form->getChoiceInput( $choice, $question ); ?>
                    <span class="totalpoll-question-choices-item-selector-box"></span>
                </div>
                <div class="totalpoll-question-choices-item-label">
                    <span <?php echo $template->choiceLabelAttributes( $choice ); ?>><?php echo $template->choiceLabel( $choice ); ?></span>
                </div>
            </div>
        </div>
    </label>
<?php
! defined( 'ABSPATH' ) && exit();
 endif; ?>
