<?php

namespace TotalPoll\Modules\Templates\Opinion;
! defined( 'ABSPATH' ) && exit();


class Template extends \TotalPoll\Modules\Template {
	protected $root = __FILE__;

	public function __construct( array $options = [] ) {
		parent::__construct( $options );

		add_filter( 'totalpoll/filters/render/config', [ $this, 'addCountUp' ] );
	}

	public function addCountUp( $config ) {
		$config['behaviours']['countUp'] = true;

		return $config;
	}
}